PSNUP(1)

NUME
psnup - pune mai multe pagini ale unui document PostScript pe o singură pagină

REZUMAT
psnuo [OPȚIUNE...] -NUP [FIȘIER-INTRARE [FIȘIER-IEȘIRE]]

DESCRIERE
Pune mai multe pagini ale unui document PostScript pe o singură pagină.

-[NUMĂR]
    numărul de pagini care trebuie plasate pe fiecare pagină de ieșire

-p, --paper=HÂRTIE
    numele sau dimensiunile hârtiei de ieșire

-P, --inpaper=HÂRTIE
    numele sau dimensiunile hârtiei de intrare

-m, --margin=DIMENSIUNE
    lățimea marginii din jurul fiecărei pagini de ieșire [implicit 0pt]; utilă pentru foile miniaturale, deoarece marginile paginii originale vor fi micșorate

-b, --border=DIMENSIUNE
    lățimea chenarului din jurul fiecărei pagini de intrare

-d, --draw[=DIMENSIUNE]
    trasează o linie de o lățime dată în jurul fiecărei pagini [în raport cu dimensiunea paginii de intrare; valoarea implicită a argumentului este 1pt; valoarea implicită este nici o linie].

-l, --rotatedleft
    paginile de intrare sunt rotite la stânga cu 90 de grade

-r, --rotatedright
    paginile de intrare sunt rotite la dreapta cu 90 de grade

-f, --flip
    interschimbă lățimea și înălțimea paginilor de ieșire

-c, --transpose
    interschimbă coloanele și rândurile (ordinea coloană-majoră)

-t, --tolerance=NUMĂR
    suprafața maximă pierdută în puncte pătrate [implicit: 100.000]

-q, --quiet
    nu afișează numerele de pagină la ieșire

--help
    afișează acest mesaj de ajutor și iese

-v, --version
    afișează informațiile despre versiune și iese

psnup abandonează cu o eroare dacă nu poate aranja paginile de intrare astfel încât să piardă mai puțin decât toleranța dată.

Dimensiunea hârtiei de ieșire este în mod implicit egală cu dimensiunea hârtiei de intrare; dacă aceasta nu este indicată, se utilizează dimensiunea implicită dată de comanda «paper».

Dimensiunea implicită a hârtiei de intrare este egală cu dimensiunea hârtiei de ieșire.

În ordinea rând-major (ordinea implicită), paginile adiacente sunt așezate în rânduri de-a lungul hârtiei; în ordinea coloană-majoră, acestea sunt așezate în coloane în josul paginii.

psnup utilizează pstops pentru a plasa mai multe pagini logice pe fiecare foaie fizică de hârtie.

Dimensiunile hârtiei pot fi date fie ca un nume (a se vedea paper(1)), fie ca lățimexînălțime (a se vedea psutils(1) pentru unitățile disponibile).

  Starea de ieșire:

0   dacă totul este OK,

1   dacă argumentele sau opțiunile sunt incorecte sau dacă există o altă problemă la pornire,

2   dacă există o problemă în timpul procesării, de obicei o eroare de citire sau de scriere a unui fișier de intrare sau de ieșire.

EXEMPLE
Potențialul de utilizare al acestui instrument este variat, dar o utilizare specială este în combinație cu psbook(1). De exemplu, folosind «groff» pentru a crea un document PostScript și «lpr» ca procesator de imprimare UNIX , o linie de comandă tipică ar putea arăta astfel:

groff -Tps -ms fișier | psbook | psnup -2 | lpr

în cazul în care fișierul este un document de 4 pagini, această comandă va avea ca rezultat un document de două pagini, imprimând două pagini de fișier pe pagină și rearanjează ordinea paginilor pentru a se potrivi cu paginile de intrare 4 și 1 pe prima pagină de ieșire și cu paginile 2 și 3 din documentul de intrare pe a doua pagină de ieșire.

AUTOR
Scris de Angus J. C. Duggan și Reuben Thomas.

DREPTURI DE AUTOR
Drepturi de autor © Reuben Thomas 2016-2022. Publicat sub GPL versiunea 3 sau (la alegerea dumneavoastră) orice versiune ulterioară.

MĂRCI ÎNREGISTRATE
PostScript este o marcă înregistrată a Adobe Systems Incorporated.

CONSULTAȚI ȘI
psutils(1), paper(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.